/******************************************************************************
 *            echecs_coups_jouables.h                                         *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* fichier entête : fonctions de recherche des cases jouables pour chaque piece*
 Calcul aussi le nombre de cases total jouables par couleur	                  */

#include "echecs_mis_en_echec.h"

#if !defined(COUPS_JOUABLES)
#define COUPS_JOUABLES


GList *ajout_coup_dans_liste(GList *liste_coups_jouables,gint couleur, gint position_piece_tab, int coup, gboolean case_occupee, gboolean coup_ami);
gboolean case_attaquee_par_couleur(gint8 case_a_tester,gint8 couleur);
GList *cases_jouables(GList *liste_coups_jouables, gint pos_table);
extern GList *calcul_cases_jouables(GList *liste_coups_jouables);

#endif
